Bug 27733 - [bisected] black screen with drm-intel-next kernel on G45
Summary: [bisected] black screen with drm-intel-next kernel on G45
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-19 02:34 UTC by fangxun
Modified: 2017-10-06 14:54 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg file (34.99 KB, text/plain)
2010-04-19 02:45 UTC, fangxun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description fangxun 2010-04-19 02:34:24 UTC
System Environment:
--------------------------
Libdrm:         (master)c9065c5963db1b8196d278c47b8da2c33a3c49d1
Mesa:           (master)851edfe3c9d24d2678a17a8fc74c31fbea0343c2
Xserver:         (master)a92b2c2c8dd1e86ee852168146f01bdf72bfe2d0
Xf86_video_intel:     (master)9494f4e91f8c8c7a0f8d61c6883c9bfceb2cec46
Kernel: (drm-intel-next)7f8a85698f5c8a981641ec0bdf9926768786db9d


Bug detailed description:
-------------------------
There is no display on G45 after drm-intel-next kernel startup. This only happens on G45. It works well on other machines. With bisect and find cfecde435dda78248d6fcdc424bed68d5db6be0b is first bad commit.

commit cfecde435dda78248d6fcdc424bed68d5db6be0b
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Apr 8 23:31:57 2010 -0700

    drm/i915: Don't enable pipe/plane/VCO early (wait for DPMS on).

    The existing code handling the DPMS ON event is much more careful to
    ensure that these registers are enabled according to strict sequencing
    requirements. Enabling these early in mode_set simply defeats that.

    Signed-off-by: Carl Worth <cworth@cworth.org>
    Signed-off-by: Eric Anholt <eric@anholt.net>

Reproduce steps:
--------------------
1.change kernel to currently drm-intel-next kernel 
2.reboot
Comment 1 fangxun 2010-04-19 02:45:41 UTC
Created attachment 35156 [details]
dmesg file
Comment 2 Carl Worth 2010-04-27 10:56:45 UTC
Thanks for the bug report.

I've recommended reverting the bisected commit.

-Carl
Comment 3 Gordon Jin 2010-05-24 18:35:20 UTC
Removing out of Q2 release, since Q2 release won't use this code.
Comment 4 Chris Wilson 2010-06-07 10:41:25 UTC
This is now upstream: https://bugzilla.kernel.org/show_bug.cgi?id=16149
Comment 5 Gordon Jin 2010-06-27 22:51:21 UTC
Patch reverted. Closing.
Comment 6 zhao jian 2010-07-05 00:16:58 UTC
It is still not picked in drm-intel-next branch now.
Comment 7 wang,jinjin 2010-08-06 00:06:06 UTC
Verify detailed description:
-------------------------
With the newest code((drm-intel-next)7b824ec2e5d7d086264ecae51e30e3c5e00cdecc)
on drm-intel-next, 3D demo openarena has executed correctly with display.
By contrast, with the bug code before(
(drm-intel-next)7f8a85698f5c8a981641ec0bdf9926768786db9d), it had no display.
Kernel detailed:
-------------------------
Kernel: (drm-intel-next)7b824ec2e5d7d086264ecae51e30e3c5e00cdecc
Some additional commit info:
Author: Eric Anholt <eric@anholt.net>
Date:   Mon Jul 26 14:49:07 2010 -0700

Kernel: (drm-intel-next)7f8a85698f5c8a981641ec0bdf9926768786db9d
Some additional commit info:
Author: Zhenyu Wang <zhenyuw@linux.intel.com>
Date:   Thu Apr 1 13:07:53 2010 +0800
Comment 8 Elizabeth 2017-10-06 14:54:08 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.